Summary: Nagios plugins for the Sensatronics E4/E16/F devices
%define name nagios-plugins-temptrax
Name: %{name}
%define version 2.0.1
%define release 1.el4.rf
Version: %{version}
Release: %{release}
License: GPL
Group: Applications/System
URL: http://www.nagiosexchange.org/cgi-bin/page.cgi?g=1716.html
Source: %{name}-%{version}.tar.gz
Packager: Michael Weinberger <mweinber@neddix.de>
BuildRoot: /var/tmp/%{name}-buildroot/
BuildArch: i386
Requires: nagios
AutoReq: no

%changelog
* Tue Nov 18 2008 Michael Weinberger <mweinber@neddix.de> 2.0.1.-1
  print probe value also in status text
* Mon Nov 17 2008 Michael Weinberger <mweinber@neddix.de> 2.0.0.-1
  made perfdata output Nagios 3 compliant
* Thu Oct 18 2007 Michael Weinberger <mweinber@neddix.de>
- Initial release

%description
TempTrax (E4/E16/F) is a seriell or Ethernet Device to monitor temperature.
see http://www.netways.de/ 
or http://www.sensatronics.com/products_temperature_model_e4.html

%prep
%setup -q -n %{name}-%{version}

%build
%configure
%{__make} all

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT/usr/lib/nagios/plugins/
%{__install} -s src/check_temptraxe $RPM_BUILD_ROOT/usr/lib/nagios/plugins/
%{__install} -s src/check_temptraxf $RPM_BUILD_ROOT/usr/lib/nagios/plugins/

find $RPM_BUILD_ROOT -depth -type f -print |\
 sed -e "s@^$RPM_BUILD_ROOT@@g" \
 -e "s@^/usr/lib/nagios/plugins/@%attr(0550,nagios,root) &@"\
 >> %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%post

%preun

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
